    - name: Install NGINX prereqs
      ansible.builtin.include_role:
        name: nginx-prereqs

    - name: Install NGINX OSS
      register: install_result
      become: yes
      command:
        cmd: "yum install -y /{{ nginx_artifact }}"
      when: os == 'redhat'


    - name: Install NGINX OSS
      register: install_result
      become: yes
      command:
        cmd: "apt-get install -y /{{ nginx_artifact }}"
      when: os == 'ubuntu'

    - name: Restart nginx
      become: yes
      command:
        cmd: systemctl restart nginx
      when: install_result is changed
